{ Automated test class registration Spider Object Database }
unit RegTests;

{$ifndef __Testing}
    !! This unit is for automated tests only
{$endif}


interface

uses
    TestFramework; { for TTestCase }

procedure RegisterTests;

implementation

uses
    { include units which have test case defined }

    //OdbAdvan,
    OdbBDE,
    //OdbBtr,
    //OdbDbism,
    //OdbFF,
    //OdbIbx,
    //OdbQdb,

    OdbCompr,
    OdbField,
    OdbIndex,
    OdbMisc,
    OdbNav;

{--------------------------------------------------------------------------}

procedure RegisterTests;
begin
    { Keep the unit names in alphabetical order }


    TestFramework.RegisterTest( 'OdbCompr', TOdbComprUnitTest );
    TestFramework.RegisterTest( 'OdbField', TOdbFieldUnitTest );
    TestFramework.RegisterTest( 'OdbIndex', TOdbIndexUnitTest );
    TestFramework.RegisterTest( 'OdbMisc',  TOdbMiscUnitTest );
    TestFramework.RegisterTest( 'OdbNav', TObjectFileNavigatorTest );

    //TestFramework.RegisterTest( 'OdbAdvan', TAdvantageOdbDriverTest );
    //TestFramework.RegisterTest( 'OdbBDE',   TInterbaseBDEOdbDriverTest );
    TestFramework.RegisterTest( 'OdbBDE',   TParadoxBDEOdbDriverTest );
    //TestFramework.RegisterTest( 'OdbBtr',   TBtrieveOdbDriverTest );
    //TestFramework.RegisterTest( 'OdbDbism', TDbIsamOdbDriverTest );
    //TestFramework.RegisterTest( 'OdbFF',    TFFOdbDriverTest );
    //TestFramework.RegisterTest( 'OdbIbx',   TIbxOdbDriverTest );
    //TestFramework.RegisterTest( 'OdbQdb',   TQdbOdbDriverTest );
end;

{--------------------------------------------------------------------------}

end.

